LinuxQuestions.org
Visit Jeremy's Blog.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 02-14-2016, 05:07 PM   #1
cyberdome
Member
 
Registered: Mar 2014
Distribution: Fedora 23 - MariaDB 10.1 -
Posts: 130
Blog Entries: 2

Rep: Reputation: 8
unable to update MariaDB from 10.0 to 10.1, error indicating galera libboost dependencies issue


Hello world,

I am trying to update my database MariaDB from 10.0 to 10.1 and when I run the yum update command. I am getting this error message below: Any help is appreciated.

Resolving Dependencies
--> Running transaction check
---> Package galera.x86_64 0:25.3.9-1.rhel7.el7.centos will be updated
---> Package galera.x86_64 0:25.3.12-1.rhel7.el7.centos will be an update
--> Processing Dependency: libboost_program_options.so.1.53.0()(64bit) for package: galera-25.3.12-1.rhel7.el7.centos.x86_64
---> Package google-chrome-stable.x86_64 0:48.0.2564.97-1 will be updated
---> Package google-chrome-stable.x86_64 0:48.0.2564.109-1 will be an update
--> Finished Dependency Resolution
Error: Package: galera-25.3.12-1.rhel7.el7.centos.x86_64 (mariadb)
Requires: libboost_program_options.so.1.53.0()(64bit)
You could try using --skip-broken to work around the problem
You could try running: rpm -Va --nofiles --nodigest


Any suggestions would be helpful. I am stuck at this stage. I have no idea what to do next?

Thanks
 
Old 02-15-2016, 03:16 AM   #2
153rd
Member
 
Registered: Mar 2015
Location: The Netherlands
Distribution: CentOS 7, Ubuntu 12.04, Linux-Mint 17.3
Posts: 46

Rep: Reputation: Disabled
Hey,

It's saying a dependency (libboost) is not installed.
Package galera requires this dependency before it can install.
You might to check out these links

So before you update, try to get libboost manually, and work your way through.

Good luck!
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
MariaDB Cluster with Galera Replication - max_allowed_packet issue artemidis CentOS 6 01-14-2016 05:51 AM
MariaDB Galera Cluster Starting Issue blakk Red Hat 2 03-05-2015 02:17 PM
E: Couldn't find package libboost-all & cmake update? pixartist Linux - Newbie 11 02-20-2011 02:17 PM
Your favorite expression for indicating the issue is the user MensaWater General 4 09-24-2010 07:30 PM
resolving dependencies update loop issue james2b Fedora 5 12-14-2008 03:29 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie

All times are GMT -5. The time now is 11:13 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration